# 查询(async-result)(免费

**方法**: `GET`
**路径**: `/cogvideox/v4/async-result/{id}`

## 请求参数

### Path 参数

```text
id
string
必需
```

### Header 参数

```text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

## 请求示例代码

### Shell

```bash
curl --location --request GET '/cogvideox/v4/async-result/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{
    "model": "cogvideox",
    "request_id": "8875817957674828620",
    "task_status": "SUCCESS",
    "video_result": [
        {
            "cover_image_url": "https://sfile.chatglm.cn/testpath/video_cover/0e89d8bf-ded0-5b77-b673-fd264fad9c9d_cover_0.png",
            "url": "https://sfile.chatglm.cn/testpath/video/0e89d8bf-ded0-5b77-b673-fd264fad9c9d_0.mp4"
        }
    ]
}
```
